MARTe2-core - User story #256

Printf warnings
23.10.2015 12:58 - André Neto

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Add warning to misused type variables in the printf functions (e.g. passing an integer when a float was expected).

Source code files modified

BareMetal/L3Streams/IOBuffer.cpp

Architecture & design review
Date of the review: 23/10/2015

Person who did the review: Andre' Neto

Version of architecture & design document: N/A.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

Person who did the review: Andre’ Neto

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 13/11/2015

Person who did the review: Andre’ Neto
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

e Coverage tests for structured data (still not implemented in MARTe) are missing. These should be added as soon as structured
data is available.
Associated revisions

Revision 7e9¢1594 - 05.11.2015 11:10 - Giuseppe Ferro
#256 Added Printf warnings.

Revision 9de79196 - 05.11.2015 13:01 - Giuseppe Ferro

#256 Added tests for printf warnings and informations

Revision 895fe545 - 11.11.2015 10:30 - Giuseppe Ferro
#256 Added tests for printf warnings.

Revision b37e5512 - 13.11.2015 17:42 - André Neto
Merge remote-tracking branch 'origin/develop' into #256_Printf_Warnings
Conflicts:

MakeDefaults/MakeStdLibRules.linux
Source/Core/BareMetal/L3Streams/IOBuffer.cpp

Revision e5201efa - 13.11.2015 18:36 - André Neto
#256 fixed typo in I0Buffer.cpp to print type mismatch.

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:25 - André Neto
- Subject changed from Printf warning to Printf warnings

- Description updated

#3 - 23.10.2015 13:31 - André Neto

- Target version set to 0.7

#4 - 05.11.2015 10:08 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 05.11.2015 11:10 - Giuseppe Ferro

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

#6 - 05.11.2015 11:11 - Giuseppe Ferro

Code Implementation done: 7e9¢159

#7 - 09.11.2015 11:45 - André Neto

- Assignee set to André Neto

#8 - 09.11.2015 11:51 - André Neto
- Description updated

- Assignee deleted (André Neto)

#9 - 09.11.2015 11:52 - André Neto
- Status changed from Code: Rev to Unit: Rev

#10 - 10.11.2015 17:38 - André Neto

- Target version changed from 0.7 to 0.8
#11 - 10.11.2015 17:44 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#12-10.11.2015 17:44 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#13 - 11.11.2015 10:31 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev
- Assignee deleted (Giuseppe Ferro)

#14 - 11.11.2015 16:49 - Riccardo Vitelli

- Assignee set to André Neto

#15 - 13.11.2015 18:39 - André Neto
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (André Neto)

Merged in develop in €5201ef.
